net.sourceforge.pmd.lang.java.ast

## Class JavadocElement

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.JavadocElement

- All Implemented Interfaces:
    Node

      public class JavadocElement
      extends AbstractNode

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `beginColumn, beginLine, children, endColumn, endLine, id, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavadocElement(int theBeginLine, int theEndLine, int theBeginColumn, int theEndColumn, JavadocTag theTag)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavadocTag` | `tag()`
    `String` | `toString()` Subclasses should implement this method to return a name usable with XPathRule for evaluating Element Names.

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavadocElement

          public JavadocElement(int theBeginLine,
                        int theEndLine,
                        int theBeginColumn,
                        int theEndColumn,
                        JavadocTag theTag)

  - ### Method Detail

    - #### tag

          public JavadocTag tag()

    - #### toString

          public String toString()

      Description copied from class: `AbstractNode`
      Subclasses should implement this method to return a name usable with XPathRule for evaluating Element Names.
      Specified by:
        `toString` in class `AbstractNode`

Copyright © 2002-2013 InfoEther. All Rights Reserved.